
void Form1::init()
{
    pb6->setEnabled(FALSE);
    Form1::move(340, 150);
    buttonGroup2->setEnabled(TRUE);
    buttongroup3->setEnabled(TRUE);
    pushButton4->setEnabled(TRUE);
    pb3->setEnabled(TRUE);
    lcd1->display(0);
    lcd2->display(0);
    lcd3->display(0);
    lcd4->display(0);
    lcd5->display(0);
    lcd6->display(0);
    slider1->setValue(0);
    slider2->setValue(0);
    slider3->setValue(0);
    rad1->setChecked(FALSE);
    rad2->setChecked(FALSE);
    rad3->setChecked(FALSE);
    checkBox1->setChecked(FALSE);
    checkBox1->setEnabled(FALSE);
    
    tabWidget2->setCurrentPage(0);
    timer = new QTimer(this);
    QString text;
    connect(timer, SIGNAL(timeout()), this, SLOT(brojac()) );
    pushButton4->setEnabled(false);
}

void Form1::timerStart()
{
    QString opcija = trUtf8("You didn't choose 'What to do?' option");

    if((!rad1->isChecked()) &&   (!rad2->isChecked())  &&  (!rad3->isChecked()))
    {
	QMessageBox::warning(this, trUtf8("Timix v0.2"),
			     opcija);
	return;
	
    }
    else {
	pb6->setEnabled(true);
    int val4 = lcd1->intValue();
    int val5 = lcd2->intValue();
    int val6 = lcd3->intValue();
    
    QString vrednosti = trUtf8("You didn't choose 'Time Settings' values");

    if ((val4==0) && (val5==0) && (val6==0))
    {
	QMessageBox::warning(this, trUtf8("Timix v0.2"), vrednosti);
  	return;
    }
    else
    {
	timer->start(1000);
	buttonGroup2->setEnabled(FALSE);
	buttongroup3->setEnabled(FALSE);
    }
}
}

void Form1::destroy()
{
    delete timer;
}


void Form1::timerStop()
{
    timer->stop();
}

void Form1::brojac()
{
    
    pushButton4->setEnabled(FALSE);
    pb3->setEnabled(FALSE);
    int god = progres->progress();
    int pomos;
    
    int val4 = lcd1->intValue();
    int val5 = lcd2->intValue();
    int val6 = lcd3->intValue();
    int val3 = lcd4->intValue();    
    int val2 = lcd5->intValue();    
    int val1 = lcd6->intValue();
    
    pomos = val4*3600+val5*60+val6;
  
    lcd6->display(++val1);
   
    
    if(val1 > 59)
    {
	lcd6->display(0);
	lcd5->display(++val2);
    }
    
    if(val2 > 59)
    {
	lcd5->display(0);
	lcd4->display(++val3);
    }
    
     progres->setProgress(++god);
     progres->setTotalSteps(pomos-1);
    
    if((val3>=val4) && (val2>=val5) && (val1>=val6))
    {
	pb6->setEnabled(false);
	pushButton4->setEnabled(TRUE);
	timerStop();
	
	if(rad1->isChecked())
	{   
 	        QProcess *pro = new QProcess(this);
		pro->addArgument("halt");
		pro->addArgument("-p");
		pro->start();
	 }
		           
	
	if(rad2->isChecked())
	{
		QMessageBox::information(this, trUtf8("Timix v0.2"),text, 0);
		return;
              }
	

	if(rad3->isChecked())
	{
		QProcess *proc = new QProcess(this);
		proc->addArgument(stojan);
		proc->start();
	 }
    }
    
}

void Form1::za()
{
    forma = new Form2(this);
    forma->show();
}


void Form1::odnovo()
{
    init();
    timerStop();
}

void Form1::potset()
{
	QString nematext = trUtf8("You didn't enter text for reminding");

    if(rad2->isChecked())
    {
	bool ok;
	text = QInputDialog::getText("Timix",
				     trUtf8("Enter text to remind you:"),
				     QLineEdit::Normal, QString::null, &ok, this);
	if((ok && text.isEmpty()) && (rad2->isChecked())) 
	{
	    QMessageBox::warning(this, "Timix v0.2",
				 nematext,0);
	    rad2->setChecked(FALSE);
	    return;
	}
	
    }
}
				      
void Form1::quit()
{    
    QString izlezot = trUtf8("Are you sure you want to quit?");

    QMessageBox mb( trUtf8("Timix preduvpreduvanje"),
		    izlezot,
		    QMessageBox::Warning,
		    QMessageBox::Yes | QMessageBox::Default,
		    QMessageBox::No | QMessageBox::Escape, 0);

    switch( mb.exec() ) 
    {
    case QMessageBox::Yes:
	Form1::close();
	break;   
    case QMessageBox::No:
	return;
	break;
    }
}
		     
void Form1::dejstvo() 
{
    checkBox1->setEnabled(FALSE);
    if(checkBox1->isChecked())
    {
	connect(pb3, SIGNAL(released()), this, SLOT(hide()) );
    }
}   

void Form1::nevidlivo()
{
    if(((lcd1->intValue() > 0) ||  (lcd2->intValue() > 0)  ||  (lcd3->intValue() > 0)) || ((rad1->isChecked()) || (rad2->isChecked()) || (rad3->isChecked())))
    {
    checkBox1->setEnabled(TRUE);
    }
}   

void Form1::otkaz()
{
    QString momprog = trUtf8("The chosen option cancels the settings\nand their current progress.\n\nAre you sure you want to cancel?");

    
    QMessageBox mb( trUtf8("Timix v0.2"),
		                 momprog,
        QMessageBox::Warning,
        QMessageBox::Yes | QMessageBox::Default,
        QMessageBox::No | QMessageBox::Escape, 0);

switch( mb.exec() ) 
   {
    case QMessageBox::Yes:
      timer->stop();
      pushButton4->setEnabled(TRUE);
      progres->reset();
      pb6->setEnabled(false);
        break;   
    case QMessageBox::No:
         return;
         break;
}
}


void Form1::about()
{    
    QMessageBox::about(this, "About the author", "The author of this project is Aleksandar Balalovski,\npart of the GSS Team.\n\nHe is on the 'Applied Computer Science' college\nin his town and he's second year now.\nHe is big Linux fan and great fighter for free/open\nsoftware.\n\nYou can contact him on gemidjy@freemail.org.mk.\n\nBest regards.."); 
}

	
void Form1::filedialog()
{
    stojan = QFileDialog::getOpenFileName(
	    "/", 0,
	    this,
	    "Choose executable"
	    "Choose executable" );
}
     
